Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FieldMap.h File Reference

Go to the source code of this file.

## Classes

class | FIX::FieldMap
| Stores and organizes a collection of Fields. More...

## Namespaces

namespace | FIX

## Defines

#define | FIELD_SET(MAP, FIELD)
#define | FIELD_GET_PTR(MAP, FLD) (const FIX::FLD*)MAP.getFieldPtr( FIX::FIELD::FLD )
#define | FIELD_GET_REF(MAP, FLD) (const FIX::FLD&)MAP.getFieldRef( FIX::FIELD::FLD )

## Define Documentation

#define FIELD_GET_PTR | ( | MAP,
|  | FLD |  | ) | (const FIX::FLD*)MAP.getFieldPtr( FIX::FIELD::FLD )

Definition at line 225 of file FieldMap.h.

Referenced by FIX::Session::verify().

#define FIELD_GET_REF | ( | MAP,
|  | FLD |  | ) | (const FIX::FLD&)MAP.getFieldRef( FIX::FIELD::FLD )

Definition at line 227 of file FieldMap.h.

Referenced by FIX::MessageCracker::crack(), FIX::Message::isAdmin(), FIX::Message::isApp(), FIX::Session::lookupSession(), FIX::Session::next(), FIX::Message::validate(), FIX::DataDictionary::validate(), and FIX::Session::verify().

#define FIELD_SET | ( | MAP,
|  | FIELD |  | ) |

Value:

    bool isSet( const FIELD& field ) const    \
    { return (MAP).isSetField(field); }       \
    void set( const FIELD& field )            \
    { (MAP).setField(field); }                \
    FIELD& get( FIELD& field ) const          \
    { return (FIELD&)(MAP).getField(field); }

Definition at line 217 of file FieldMap.h.